<template>
  <v-card
    v-bind="$attrs"
    :class="classes"
    style="width: 100%; background-color: transparent;"
    
  >
    <div class="d-flex grow flex-wrap title-header-modify primary pa-2">
       <h2>{{ this.title }} </h2>
    </div>
    <div class="d-flex grow flex-wrap">
      
      <v-sheet
        :color="color"
        :max-height="icon ? 90 : undefined"
        :width="icon ? 'auto' : '100%'"
        class="text-right mt-6 pb-2 pt-2 pr-2 rounded-0"
        dark
      >
        <div
          v-if="text"
          class="headline font-weight-thin"
          v-text="text"
        />
        <v-btn
          :color="color1"
          :disabled="disabled1"
          class="mr-1"
          @click="action1()"
        >
          <span v-if="!isMobile()">
            {{ text1 }}
          </span>
          <v-icon 
          >
            {{ icon1 }}
          </v-icon>
        </v-btn>
        <v-btn
          :color="color2"
          :disabled="disabled2"
          class="mr-1"
          @click="action2()"
        >
          <span v-if="!isMobile()">
            {{ text2 }}
          </span>
          <v-icon 
            >
            {{ icon2 }}
          </v-icon>
        </v-btn>
        <v-btn
          :color="color3"
          :disabled="disabled3"
          @click="backList()"
        >
          <span v-if="!isMobile()">
            {{ text3 }}
          </span>
          <v-icon>
            {{ icon3 }}
          </v-icon>
        </v-btn>
      </v-sheet>
    </div>

    <slot />

    <template v-if="$slots.actions">
      <v-divider class="mt-2" />

      <v-card-actions class="pb-0">
        <slot name="actions" />
      </v-card-actions>
    </template>
  </v-card>
</template>

<script>
  export default {
    name: 'MaterialCard',

    props: {
      avatar: {
        type: String,
        default: '',
      },
      color: {
        type: String,
        default: '#FFFFFF',
      },
      icon: {
        type: String,
        default: undefined,
      },
      image: {
        type: Boolean,
        default: false,
      },
      text: {
        type: String,
        default: '',
      },
      title: {
        type: String,
        default: '',
      },
      text1: {
        type: String,
        default: 'Thêm',
      },
      icon1: {
        type: String,
        default: 'add',
      },
      color1: {
        type: String,
        default: 'primary',
      },
      text2: {
        type: String,
        default: 'Xóa',
      },
      icon2: {
        type: String,
        default: 'close',
      },
      color2: {
        type: String,
        default: 'error',
      },
      text3: {
        type: String,
        default: 'Back',
      },
      icon3: {
        type: String,
        default: 'save_alt',
      },
      color3: {
        type: String,
        default: 'warning',
      },
      disabled1: {
        type: Boolean,
        default: false,
      },
      disabled2: {
        type: Boolean,
        default: false,
      },
      disabled3: {
        type: Boolean,
        default: false,
      },
    },

    computed: {
      classes () {
        if(!this.isMobile()){ return "v-card--material pa-3" } 
        else { return "pt-2"};
      },
      hasHeading () {
        return Boolean(this.$slots.heading || this.title || this.icon)
      },
      hasAltHeading () {
        return Boolean(this.$slots.heading || (this.title && this.icon))
      },
    },
    methods: {
      isMobile() {
        if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
          return true
        } else {
          return false
        }
      },

      action1 ($event) {
        this.$emit('action-1')
      },
      action2 ($event) {
        this.$emit('action-2')
      },
      backList ($event) {
        this.$emit('back-list')
      },
    },
  }
</script>

<style lang="sass">
  .v-application--is-ltr .control-btn .v-btn__content .v-icon--right
    margin-left: 0px
  .v-card--material
    &__avatar
      position: relative
      top: -64px
      margin-bottom: -32px

    &__heading
      position: relative
      top: -40px
      transition: .3s ease
      z-index: 1

  .title-header-modify
    margin-top:0px

  .title-header-modify
    margin-top:-30px
    height: auto
    position: absolute
    width: 365px
    color: #ffffff
    border-radius:4px
</style>
